Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class RSAParameterSpec

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.RSAParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class RSAParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies the parameters used for generating an RSA key pair.

Field Summary
`private int` | `keySize`
`private java.math.BigInteger` | `publicExponent`

Constructor Summary
`RSAParameterSpec(int keySize, java.math.BigInteger publicExponent)` Creates a new RSAParameterSpec with the specified parameter values.

Method Summary
`int` | `getKeySize()` Returns the size of the modulus in bits.
`java.math.BigInteger` | `getPublicExponent()` Returns the public exponent e.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### keySize

    private int keySize

### publicExponent

    private java.math.BigInteger publicExponent

Constructor Detail

### RSAParameterSpec

    public RSAParameterSpec(int keySize,
                            java.math.BigInteger publicExponent)

  Creates a new RSAParameterSpec with the specified parameter values.
  Parameters:
    `keySize` - The size of the modulus in bits.
    `publicExponent` - The public exponent e. Common values are 3, 17, and 65537. 65537 is recommended.

Method Detail

### getKeySize

    public int getKeySize()

  Returns the size of the modulus in bits.

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Returns the public exponent e.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD